Bug 131422 - [PATCH] Fix socketpair() function invocation in irc/ctrlproxy
Summary: [PATCH] Fix socketpair() function invocation in irc/ctrlproxy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-05 13:40 UTC by Ashish Shukla
Modified: 2009-03-01 23:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.61 KB, patch)
2009-02-05 13:40 UTC, Ashish Shukla
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish Shukla 2009-02-05 13:40:03 UTC
The attached diff fixes following issues:

  * The socketpair() function is invoked incorrectly causing, it to return EPROTONOSUPPORT everytime.
  * Changed '#include <gssapi.h>' to '#include <gssapi/gssapi.h>' to prevent warnings emitted by GCC.
Comment 1 Martin Wilke freebsd_committer 2009-02-16 19:32:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-03-01 23:40:16 UTC
miwi        2009-03-01 23:40:06 UTC

  FreeBSD ports repository

  Modified files:
    irc/ctrlproxy        Makefile 
  Added files:
    irc/ctrlproxy/files  patch-lib_connection.c 
                         patch-lib_listener.h 
  Log:
  - Fix socketpair() function invocation
    * The socketpair() function is invoked incorrectly causing,
      it to return EPROTONOSUPPORT everytime.
    * Changed '#include <gssapi.h>' to '#include <gssapi/gssapi.h>'
      to prevent warnings emitted by GCC.
  
  PR:             131422
  Submitted by:   Ashish Shukla <wahjava@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.27      +1 -1      ports/irc/ctrlproxy/Makefile
  1.3       +18 -0     ports/irc/ctrlproxy/files/patch-lib_connection.c (new)
  1.1       +18 -0     ports/irc/ctrlproxy/files/patch-lib_listener.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2009-03-01 23:40:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!